package com.ym.mec.education.enums;

/**
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年09月25日 21:15
 */
public enum ReturnCodeEnum {
    CODE_200(200, "操作成功"),
    CODE_201(201, "message.security.unauthorized"),
    CODE_202(202, "message.common.information.nonexistence"),
    CODE_203(203, "message.payment.type.error"),
    CODE_204(204, "服务异常"),
    CODE_205(205, "请求失败"),
    CODE_206(206, "参数不合法"),
    CODE_207(207, "数据不存在"),
    CODE_208(208, "message.common.information.already.exists"),
    CODE_209(209, "message.common.session.expired"),
    CODE_210(210, "message.security.authfailed"),
    CODE_211(211, "message.app.sign.authfailed");

    private Integer code;
    private String value;

    private ReturnCodeEnum(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    public final Integer getCode() {
        return this.code;
    }

    public final String getValue() {
        return this.value;
    }


    @Override
    public String toString() {
        return this.code + "=" + this.value;
    }
}
